# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:57:15 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	ReadBackwards
Summary:	File::ReadBackwards -- Read a file backwards by lines
Summary(pl):	File::ReadBackwards -- Czytaj plik od koca, linia po linii
Name:		perl-File-ReadBackwards
Version:	0.99
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::ReadBackwards reads a file backwards line by line. It is simple
to use, memory efficient and fast. It supports both an object and a tied
handle interface.

%description -l pl
File::ReadBackwards czyta plik od koca, linia po linii.  Jest prosty
w uyciu, wydajny pod wzgldem zajtoci pamici i szybki.  Obsuguje
zarwno interfejs obiektowy, jak i dowizane (przez tie()) uchwyty.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-ReadBackwards.spec,v $
Revision 1.5.2.1  2003/03/13 00:57:15  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:39:22  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:32:23  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/07 15:06:38  mis
- autoupdated to 0.99

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/08/29 11:06:43  radek
- new, STBR

